<?php
/*
* ---------------------------------------------------------
* This file contains function stubs for the following XAPI-J extension:
*
*   CSRFExtension
*
* which is referenced in the php.ini file with the following line:
*
*   extension = zero.php.CSRFExtension
*
* This file allows the extension functions to be found by PDT code assist.
* It should not be used in include or require statements.
* ---------------------------------------------------------
*/

/**
 * <p>Returns the (hidden) forms field containing a CSRF protection authenticator consistent with the given URI that should be included in the 
 body of the form corresponding to the URI.</p>
 <p>This function checks whether the URI is pointing to a local server and returns a token only when appropriate; 
 otherwise it returns  an empty string.   
 Hence, you can safely call this function as long as you follow the constraints listed in this
 article.
 </p>
 <p> 
 <b>Important</b>: Use the returned value only for inclusion in Web forms used in the same origin as the currently 
 ongoing request and sent directly or exclusively to the user's browser.
 That is, do <em>not</em> use it in HTML fragments sent (for example by JSONP or script includes), to a foreign domain.
 </p>
 * @return string
 * @param uri string
 */
function csrf_protected_form_field($uri) {
}

/**
 * <p>Returns a CSRF protected URI string.</p>
 <p>  
 This functional also checks whether the URI is pointing to a local server and returns a token only when appropriate;
 otherwise it returns  an empty string. Hence, you can call this function as long as you following constraints listed in this article.
 </p>
 <p>
 <b>Important:</b> Use the returned value only for inclusion in Web forms used form the same origin as the current
  ongoing request and sent directly or exclusively to the user's browser.
 That is, do <em>not</em> use it in HTML fragments sent (for example by  JSONP or script includes), to a foreign domain.
 </p>
 * @return string
 * @param uri string
 */
function csrf_protected_uri($uri) {
}
?>
